#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	fuse
Version		:	3.16.2
Release		:	16.2.0.rel%{?dist}
Summary		:	File System in Userspace (FUSE) v2 utilities

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL-1.0-or-later
URL		:	https://github.com/libfuse/libfuse

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	doxygen

#-----------------------------------------------------------------------------
%description
With FUSE it is possible to implement a fully
functional filesystem in a userspace program.
This package contains the FUSE v2 userspace
tools to mount a FUSE filesystem.
 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog.rst README.md
%license LICENSE
%{_bindir}/%{name}rmount
%{_bindir}/%{name}rmount3
%{_sbindir}/mount.%{name}3
%{_libdir}/lib%{name}3.so.3*
%{_mandir}/man1/%{name}rmount3.1.gz
%{_mandir}/man8/mount.%{name}3.8.gz

#=============================================================================
%package		devel
Summary		:       File System in Userspace (FUSE) v2 devel files

#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
With FUSE it is possible to implement a fully
functional filesystem in a userspace program.
This package contains development files (headers,
pgk-config) to develop FUSE v2 based
applications/filesystems.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}3/*.h
%{_libdir}/lib%{name}3.so
%{_libdir}/pkgconfig/%{name}3.pc

#=============================================================================
%prep
%setup -q

sed -i							\
  -e '/^udev/,$ s/^/#/'					\
  util/meson.build 
#-----------------------------------------------------------------------------
#building application
%build

meson	setup						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--buildtype=release				\
	_bld

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja 							\
	%{_smp_mflags}					\
	-C _bld						\
	-v						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	ninja						\
	-C _bld						\
		install

%{__ln_s}						\
	./%{name}rmount3				\
	%{buildroot}%{_bindir}/%{name}rmount

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
